
Core - Bug # 56942

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-15 Assigned To:
Updated: 2014-03-15 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: Tests: Release em tests from extbase base class
Description

Related issues:
related to Core - Bug # 57198: Option labels not translated anymore Resolved 2014-03-23

Associated revisions
Revision 5736216d - 2014-03-15 21:16 - Christian Kuhn

[BUGFIX] Tests: Release em tests from extbase base class

Extbase BaseTestClass comes with a not mocked objectManager that
gives headaches if it is injected to a test subject. Releasing
the extensionmanager test classes from this and using core
UnitTestCase as parent reveals these parts in existing tests,
those are fixed with the patch.

Change-Id: Ia7acd7f838f9ac0eb2f44e0737893fc30c41ff55
Resolves: #56942
Related: #51436
Releases: 6.2
Reviewed-on: https://review.typo3.org/28427
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2014-03-15 20:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28427

#2 - 2014-03-15 21:07 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28427

#3 - 2014-03-15 21:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5736216d390b9627490baa0813bea6b1363dffb4.
